# Основы анализа текстовых данных

## Лекции

| Лекция                                                                                                                                                                                  | 
|:----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------| 
| [Вводная лекция](lections/OATD_lec_1.pdf) [pptx](lections/OATD_lec_1.pptx)                                                                                                              | 
| [Клаcсификация данных. Основные понятия](lections/OATD_lec_2.pdf) [pptx](lections/OATD_lec_2.pptx)                                                                                      | 
| [Интеллектуальный анализ текстов](lections/OATD_lec_3.pdf) [pptx](lections/OATD_lec_3.pptx)                                                                                             | 
| [Векторное представление слов](lections/OATD_lec_4.pdf) [pptx](lections/OATD_lec_4.pptx) <br /> [Обзор методов классификации](lections/OATD_lec_5.pdf) [pptx](lections/OATD_lec_5.pptx) | 
| [Обзор методов классификации. Профильные методы](lections/OATD_lec_5_2.pdf) [pptx](lections/OATD_lec_5_2.pptx)                                                                          | 
| [Ансамблевые методы классификации](lections/OATD_lec_6.pdf) [pptx](lections/OATD_lec_6.pptx)                                                                                            | 
| [Кластеризация данных](lections/OATD_lec_7.pdf) [pptx](lections/OATD_lec_7.pptx)                                                                                                        |                                                                                                                                                        | 
| [Нейронные сети в задаче анализа данных](lections/OATD_lec_8.pdf) [pptx](lections/OATD_lec_8.pptx)                                                                                      | 
| [Сверточные нейронные сети](lections/OATD_lec_9.pdf) [pptx](lections/OATD_lec_9.pptx) <br /> [Рекуррентные нейронные сети](lections/OATD_lec_10.pdf) [pptx](lections/OATD_lec_10.pptx)  | 
| [Трансформеры](lections/OATD_lec_12.pdf) [pptx](lections/OATD_lec_12.pptx)                                                                                          | 
| [Решение задач выявления плагиата](lections/OATD_lec_11.pdf) [pptx](lections/OATD_lec_11.pptx)                                                                                          |                                                                                                                                                                               | 

## Журнал группы

## Лабораторные работы

### Лабораторная работа №1

* [Задание](labs/OATD_LR1.md) 
* [Методические указания](labs/OATD_LR1_metod.ipynb)
* [Установка Jupyter Notebook](assets/start_notebook.md)


### Лабораторная работа №2

* [Задание](labs/OATD_LR2.md) 
* [Методические указания](labs/OATD_LR2_metod.ipynb)


### Лабораторная работа №3

* [Задание](labs/OATD_LR3.md) 
* [Методические указания](labs/OATD_LR3_metod.ipynb)



### Лабораторная работа №4

* [Задание](labs/OATD_LR4.ipynb) 

