# Установка Jupyter Notebook 

## Локально

Скачать и установить python (рекомендуется версия 3.10) https://www.python.org/downloads/, не забыв поставить галочку Add to PATH на самом первом экране

![Установка python](install_py.png)

В командной строке Windows по очереди выполнить установку пакетов:

```
python -m pip install --upgrade pip
python -m pip install notebook
python -m pip install scikit-learn
python -m pip install matplotlib
```

Готово. Запускать Jupyter можно из командной строки командой `jupyter notebook`. Рабочей папкой будет та, из которой данная команда была выполнена. 

## VS Code

Jupyter поддерживают некоторые распространенные IDE, в том числе [VS Code](https://code.visualstudio.com/). Поддержка нативная, однако рекомендуется установить расширение (extension) "Jupyter".
 
После создания нового файла с расширением `.ipynb` необходимо выбрать интерпретатор Python. При этом, рекомендуется работать в виртуальном окружении [виртуальном окружении (venv)](https://docs.python.org/3/library/venv.html).

Более подробная [инструкция](https://code.visualstudio.com/docs/datascience/jupyter-notebooks) 

## Онлайн

[Онлайн версия Jupyter Notebook](https://mybinder.org/v2/gh/jupyterlab/jupyterlab-demo/HEAD?urlpath=lab/tree/demo) - может использоваться как временная замена локальной установке.

Допустимо вместо локальной установки Jupyter использовать [Google colab](https://colab.research.google.com/?hl=ru)

